Skip to main content

Update Purchase Order: Yardi

PUThttps://api.propexo.com/v1/purchase-orders/yardi/:purchase_order_id

Update Purchase Order: Yardi. This API call does not modify the purchase order in place in Yardi. It creates a change order that is attached to the existing parent purchase order specified.

InterfaceMethod
Vendor InvoicingImportPOChangeOrders

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

purchase_order_id stringrequired

The Propexo unique identifier for the purchase order

Request​

This endpoint expects an object.

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    descriptionstringrequired

    Description of the purchase order

    numberstringrequired

    The number of the purchase order

    Possible values: non-empty and <= 8 characters

    total_amount_in_centsnumberrequired

    The amount of the purchase order, in cents

    order_datestringrequired

    The order date for the purchase order

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    expense_typestringrequired

    The expense type of the purchase order. You'll have to request this data from your customer

    display_typestringrequired

    The display type of the purchase order. You'll have to request this data from your customer

    shipping_address_1string

    The first address line associated with the shipping address for the purchase order

    shipping_address_2string

    The second address line associated with the shipping address for the purchase order

    shipping_citystring

    The city associated with the shipping address for the purchase order

    shipping_statestring

    The state associated with the shipping address for the purchase order

    Show 2 variants
    • stringAAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    • string
    shipping_zipstring

    The zip code associated with the shipping address for the purchase order

    shipping_countrystring

    The country associated with the shipping address for the purchase order

    billing_address_1string

    The first address line associated with the billing address for the purchase order

    billing_address_2string

    The second address line associated with the billing address for the purchase order

    billing_citystring

    The city associated with the billing address for the purchase order

    billing_statestring

    The state associated with the billing address for the purchase order

    Show 2 variants
    • stringAAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    • string
    billing_zipstring

    The zip code associated with the billing address for the purchase order

    billing_countrystring

    The country associated with the billing address for the purchase order

    purchase_order_items object[]required

    A list of the items associated with the purchase orders

    Possible values: >= 1

  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    descriptionstringrequired

    Description of the purchase order item

    construction_job_idstring

    The Propexo unique identifier for the construction job

    financial_account_idstring

    The Propexo unique identifier for the financial account

    stock_codestringrequired

    The stock code for the purchase order item. You'll have to request this data from your customer

    quantity_orderedstringrequired

    The quantity ordered for the purchase order item

    unit_price_in_centsintegerrequired

    The unit price, in cents, of the purchase order item

    total_cost_in_centsintegerrequired

    The total cost, in cents, of the lead

    cost_codestringrequired

    The cost code of the purchase order item. You'll have to request this data from your customer

    category_codestringrequired

    The category code for the purchase order item. You'll have to request this data from your customer

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    purchase_order_idstringrequired

    The Propexo unique identifier for the purchase order

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    descriptionstringrequired

    Description of the purchase order

    numberstringrequired

    The number of the purchase order

    Possible values: non-empty and <= 8 characters

    total_amount_in_centsnumberrequired

    The amount of the purchase order, in cents

    order_datestringrequired

    The order date for the purchase order

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    expense_typestringrequired

    The expense type of the purchase order. You'll have to request this data from your customer

    display_typestringrequired

    The display type of the purchase order. You'll have to request this data from your customer

    shipping_address_1string

    The first address line associated with the shipping address for the purchase order

    shipping_address_2string

    The second address line associated with the shipping address for the purchase order

    shipping_citystring

    The city associated with the shipping address for the purchase order

    shipping_statestring

    The state associated with the shipping address for the purchase order

    Show 2 variants
    • stringAAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    • string
    shipping_zipstring

    The zip code associated with the shipping address for the purchase order

    shipping_countrystring

    The country associated with the shipping address for the purchase order

    billing_address_1string

    The first address line associated with the billing address for the purchase order

    billing_address_2string

    The second address line associated with the billing address for the purchase order

    billing_citystring

    The city associated with the billing address for the purchase order

    billing_statestring

    The state associated with the billing address for the purchase order

    Show 2 variants
    • stringAAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    • string
    billing_zipstring

    The zip code associated with the billing address for the purchase order

    billing_countrystring

    The country associated with the billing address for the purchase order

    purchase_order_items object[]required
  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    descriptionstringrequired

    Description of the purchase order item

    construction_job_idstring

    The Propexo unique identifier for the construction job

    financial_account_idstring

    The Propexo unique identifier for the financial account

    stock_codestringrequired

    The stock code for the purchase order item. You'll have to request this data from your customer

    quantity_orderedstringrequired

    The quantity ordered for the purchase order item

    unit_price_in_centsintegerrequired

    The unit price, in cents, of the purchase order item

    total_cost_in_centsintegerrequired

    The total cost, in cents, of the lead

    cost_codestringrequired

    The cost code of the purchase order item. You'll have to request this data from your customer

    category_codestringrequired

    The category code for the purchase order item. You'll have to request this data from your customer

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/purchase-orders/yardi/:purchase_order_id
curl -X PUT https://api.propexo.com/v1/purchase-orders/yardi/:purchase_order_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"vendor_id": "string",
"description": "string",
"number": "string",
"total_amount_in_cents": 0,
"order_date": "2024-07-29T15:51:28.071Z",
"expense_type": "string",
"display_type": "string",
"purchase_order_items": [
{
"property_id": "string",
"description": "string",
"construction_job_id": "string",
"financial_account_id": "string",
"stock_code": "string",
"quantity_ordered": "string",
"unit_price_in_cents": 0,
"total_cost_in_cents": 0,
"cost_code": "string",
"category_code": "string"
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"purchase_order_id": "string",
"vendor_id": "string",
"description": "string",
"number": "string",
"total_amount_in_cents": 0,
"order_date": "2024-07-29T15:51:28.071Z",
"expense_type": "string",
"display_type": "string",
"shipping_address_1": "string",
"shipping_address_2": "string",
"shipping_city": "string",
"shipping_state": "AA",
"shipping_zip": "string",
"shipping_country": "string",
"billing_address_1": "string",
"billing_address_2": "string",
"billing_city": "string",
"billing_state": "AA",
"billing_zip": "string",
"billing_country": "string",
"purchase_order_items": [
{
"property_id": "string",
"description": "string",
"construction_job_id": "string",
"financial_account_id": "string",
"stock_code": "string",
"quantity_ordered": "string",
"unit_price_in_cents": 0,
"total_cost_in_cents": 0,
"cost_code": "string",
"category_code": "string"
}
]
}
}